# react-tight-forms

A React component library that allows you to build compact ("tight") forms.
 
This library is heavily inspired by [Grafana 2.x]((https://github.com/grafana/grafana/tree/v2.6.0)) tight-form component

## Notice

This library is under MAJOR development and the API is expected to change! No tests exist at the moment (they will be soon) and there is no documentation (yet).

## Dependencies

This library is dependant on [React](https://github.com/facebook/react), [ReactDOM](https://www.npmjs.com/package/react-dom) and [classnames](https://github.com/JedWatson/classnames) libraries.

## Acknowledgements 

Uses a modified version of [PrettyCheckable](http://arthurgouveia.com/prettyCheckable/) sprite image for the light themes checkbox / radio button.

Uses the un-altered sprite image from Nick Dugger's [Quick Tip: Easy CSS3 Checkboxes and Radio Buttons](http://webdesign.tutsplus.com/articles/quick-tip-easy-css3-checkboxes-and-radio-buttons--webdesign-8953) guide for the dark themes checkbox / radio button.

Inspirations came from [Grafana](https://github.com/grafana/grafana) tightform component.

## Examples

* [Static markup - dark theme][1]
* [Static markup - light theme]]2]

[1]: http://dennisduong.github.io/react-tight-forms/examples/dark.html
[2]: http://dennisduong.github.io/react-tight-forms/examples/light.html
